TAAS - Feature #484

Expected Commission Report
01/14/2025 06:05 PM - Arathy PS

Status: Reopen Bugs Coding Done Start date: 01/14/2025
Priority: Normal Due date:

Assignee: dheeraja premdas % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Expected Commission Report

Description

History

#1 - 01/14/2025 06:06 PM - Arathy PS

Expected Commission Report

Menu->Back office Report

—>Input:-

*Ref: Not Reported Sale DSR Summary

-> Add 'Ticket/Voucher No~' and 'PNR No~ ' File Dropdown

—> Add 'Booking Office ID ' in Ticket Block - like Not Reported Sale

-> 'Consider* replace 'Status*' - likes like 'Ticket/Voucher Search'-> Status
* Default Issue, XO Issue, Sold Tick

-> List

* Showing Issue and Sales Data

Heading_ Grouping-Selectbox -> No Grouping, Service , Customer , Supplier , Pax Name, Pax Profile,
# | Invoice No | Invoice Date | Issue Date | Ticket/Voucher No | Pax Name | Service Provider/Details

| Currency | Expected Commission | Cost | Price | Profit

#2 - 02/18/2025 10:23 AM - Theja Ponon

- Assignee changed from Jan Theres Joshy to dheeraja premdas

#3 - 03/21/2025 12:54 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#4 - 04/03/2025 09:26 AM - dheeraja premdas
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#5 - 04/04/2025 03:39 PM - dheeraja premdas
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#6 - 04/05/2025 01:50 PM - Theja Ponon

- File clipboard-202504051132-gpnjn.png added

- File clipboard-202504051148-pmw9k.png added

- File clipboard-202504051300-Ijf3p.png added

- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50
PNR No

| Status
Issue Found

DocDate”~ | 05/04/2023 05/04/2025 Branch”  ain ~ Currency” | Basel(QAR) v
o~
#  Invoice No | Invoice Date  Issue Date Ticket/Vouc... | Pax Name Service Provider/Details Status Currency | Expected Commission  Commission Cost Price Profit
~ _Supplier Group: Customer
2 INvoo1 4/5/2025 4/5/2025 TKT4464 sdasd Air Ticket Service 2 QAR 10 10 1020 1130 120

2)Supplier grouping is wrong,change grouping name giving on the grid (eg:Customer group ->Customer)
3)Index of table is changing on grouping

4)Status filtering is wrong

5)Row filter is showing when clicking the Header filter

6)Export pdf icon is not working

7)On New click grouping label is not changes to default(no grouping)

8)customer is showing in supplier field

ravvise Expected Commission Report

VEL SOLUTION PVT LTD

Doc Date * ~ 05/04,2024 05/04/2025 Branch™ Aain

L

Grouping  No Grouping ™

# Invoice No | Invoice Date Service Supplier Customer Issue Date Ticket/Vouc... = Pax Name Service Provide
1 INV/003 4/5/2025 Package Service = Customer Customer 4/5/2025 PG/001 adsaddd Package Service
2 INV/003 4/5/2025 Hotel Service Customer Customer 4/5/2025 HW/001 sdfs Hotel Service

3 INV/003 4/5/2025 Air Ticket Serv... | Customer Customer 4/5/2025 TET45645 fsf Air Ticket Service
4 INV/002 4/5/2025 Air Ticket Serv...  Customer Customer 4/5/2025 TKT45 asd Air Ticket Service
5 INV/001 4/5/2025 Air Ticket Serv... = Customer Customer 4/5/2025 TET4464 sdasd Air Ticket Service

9)Add redirection to document number

#7 - 04/08/2025 05:56 PM - dheeraja premdas
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

There is no input control for expected commission in BOOKING-XO and ISSUE-XO.but these options are given in expected commision status
dropdown control.The thing is we cant fetch expected commission from these tables since no such data exist.

NOTE: IS THESE 2 OPTIONS NEEDED IN EXPECTED COMMISSION STATUS ???
